===============================================================================
== Version 4.3.1 general release (Aug, 2017)
===============================================================================

- Official support for the Creators Update version of Windows 10

- Added a setting to clear icon cache

- Multiple minor improvements and bugfixes

===============================================================================
== Version 4.3.0 general release (Jul, 2016)
===============================================================================

- Official support for the Anniversary Update version of Windows 10

- Fixes for issues found during the 4.2.7 beta

===============================================================================
== Version 4.2.7 beta (May, 2016)
===============================================================================

- Fix for a crash on 32-bit Windows 10 systems

===============================================================================
== Version 4.2.6 beta (May, 2016)
===============================================================================

- Improved support for Windows 10 Redstone

- Taskbar skinning - change background color, texture, and text color

- New Metallic skin with many new skin features

- New menu animations

- Ability to execute some start menu commands from the command line

- New buttons for Explorer to change folder settings and to create zip archive

- Ability to change the font and size of the status bar in Explorer

- Multiple minor improvements and bugfixes

===============================================================================
== Version 4.2.5 general release (Nov, 2015)
===============================================================================

- New transparency settings for skins

- New ability to uninstall Metro apps from the start menu

- Improved support for Windows 10

- Improved support for the Edge browser

- Improved search performance

===============================================================================
== Version 4.2.4 general release (Aug, 2015)
===============================================================================

- Finalized support for Windows 10 - multiple bugfixes and performance
  improvements

===============================================================================
== Version 4.2.3 release candidate (Jul, 2015)
===============================================================================

- Improved support for Windows 10

- Improved support for touch keyboard

- New command to access the PC settings directly

- New settings to control the color and opacity of the Windows 10 taskbar

- Multiple minor improvements and bugfixes

===============================================================================
== Version 4.2.2 beta (Jun, 2015)
===============================================================================

- Improved support for Windows 10

- New ability to save settings to XML files from command line:
    use "ClassicStartMenu.exe -backup <settings file>"

- New skin features, including glass for Windows 10

- Multiple minor improvements and bugfixes

===============================================================================
== Version 4.2.1 general release (Apr, 2015)
===============================================================================

- Improved support for Windows 10

- The start menu searches modern PC settings for Windows 8.1 and Windows 10

- Added support for Scottish, Catalan, Macedonian and Persian languages

- Added new Midnight skin with dark background

- Added new flat Metro skin that uses the start screen colors

- Multiple minor improvements and bugfixes

===============================================================================
== Version 4.2.0 beta (Dec, 2014)
===============================================================================

- Improved support for Windows 10

- New ability to apply settings from XML files from command line:
    use "ClassicStartMenu.exe -xml <settings file>"

- New setting to override the system DPI resolution only for the start menu

- New setting to change the user picture

- Improved support for touch and high resolution displays

- Multiple minor improvements and bugfixes

===============================================================================
== Version 4.1.0 general release (Apr, 2014)
===============================================================================

- Improved support for Windows 8.1 Spring Update

- Improved checks for new versions

- Minor stability fixes

===============================================================================
== Version 4.0.6 general release (Apr, 2014)
===============================================================================

- Quick fix for a crash in Explorer


===============================================================================
== Version 4.0.5 general release (Mar, 2014)
===============================================================================

- Improved support for high resolution displays

- Improved support for touch displays

- New button for the Explorer toolbar to toggle the navigation pane

- Added support for animated start buttons

- Multiple minor improvements and bugfixes


===============================================================================
== Version 4.0.4 general release (Jan, 2014)
===============================================================================

- New ADMX files to allow controlling all settings through group policy

- Secure download of language files and new versions

- Multiple minor improvements and bugfixes


===============================================================================
== Version 4.0.2 general release (Oct, 2013)
===============================================================================

- Quick fix for the taskbar showing up on top of fullscreen programs under some
  conditions


===============================================================================
== Version 4.0.1 general release (Oct, 2013)
===============================================================================

- New setting to hide Metro apps from the Programs folder

- Improved compatibility with the final build of Windows 8.1

- Minor bugfixes


===============================================================================
== Version 4.0.0 general release (Oct, 2013)
===============================================================================

- The first official release of Classic Start 4.0

- Improved support for downloading and installing language files

- Improved compatibility with Windows 8.1


===============================================================================
== Version 3.9.5 release candidate (Sep, 2013)
===============================================================================

- Windows 8.1 RTM is officially supported

- Added animated menu transitions for the Windows 7 style

- Added status bar for Explorer in Windows 8 and Windows 8.1 to show the total
  size of the selected files and the free disk space

- Improved hovering functionality for the start button

- New feature allows administrators to modify the default settings without
  locking them

- Fixed many bugs reported during the beta

===============================================================================
== Version 3.9.3 public beta (Aug, 2013)
===============================================================================

- New setting to override the glass color used by the menu

- Support for Nvidia surround and AMD eyefinity

- Many fixes, including a crash that happens on some versions of Windows 8.1

===============================================================================
== Version 3.9.1 public beta (Aug, 2013)
===============================================================================

- The programs tree can be rearranged with drag and drop

- The start button settings are applied immediately and you can see a preview
  of the button image in the settings dialog

- The start menu can use the native Windows 8.1 start button

- The Windows 8.1 setting to skip the Metro screen can be accessed through the
  Classic Start settings

- New item in the main menu to open the start screen (Windows 8 and 8.1)

- New setting for the Windows 7 style to control the height of the main menu

- The installer uses better compression that reduces the download size by half

- Many bugfixes reported for the previous beta version

===============================================================================
== Version 3.9.0 public beta (Jul, 2013)
===============================================================================

- New Windows 7 style, which replicates the look and feel of the Windows 7
  start menu

- Search for indexed files

- Show frequently used programs in the main menu

- Highlight new programs

- Programs can be pinned from Explorer

- Many performance improvements and bug fixes

===============================================================================
== Version 3.6.8 general release (Jun, 2013)
===============================================================================

- Added support for Windows 8.1 Preview

- Modified the Classic Start logo and removed the Metro button by request from
  Microsoft

- Fixed some bugs found in the previous version

===============================================================================
== Version 3.6.7 general release (Apr, 2013)
===============================================================================

- Fixed incompatibility with the taskbar of Windows 8 and Windows Server 2012


===============================================================================
== Version 3.6.6 general release (Apr, 2013)
===============================================================================

- New setting to disable the taskbar transparency

- Improved compatibility with future versions of Windows

- Fixed some bugs found in the previous version


===============================================================================
== Version 3.6.5 general release (Dec, 2012)
===============================================================================

- Fixed a crash bug in the start menu for some 64-bit systems


===============================================================================
== Version 3.6.4 general release (Dec, 2012)
===============================================================================

- Fixed a frezing problem when right-clicking on the start button


===============================================================================
== Version 3.6.3 general release (Dec, 2012)
===============================================================================

- Improved performance of the start menu

- Added new Metro-style start button image

- Added support for multiple taskbars in Windows 8

- Fixed some bugs found in the previous version


===============================================================================
== Version 3.6.2 general release (Oct, 2012)
===============================================================================

- Added support for jump lists in the main menu

- Added support for displaying and launching Windows Store apps in Windows 8

- Faster skipping of the Metro screen in Windows 8

- Fixed some bugs found in the previous version


===============================================================================
== Version 3.6.1 general release (Aug, 2012)
===============================================================================

- Fixes a critical bug found in the previous version (the "new version"
  notification pops up too often)


===============================================================================
== Version 3.6.0 general release (Aug, 2012)
===============================================================================

- Windows 8 is now officially supported

- Added more customization settings for the start button

- Added a setting to disable all Metro hot corners

- Improved the initial setup of the start menu

- Added support for split menu buttons

- Improved the usage of the Aero colorization in skins

- Fixed some bugs found in the previous version


===============================================================================
== Version 3.5.1 general release (Jun, 2012)
===============================================================================

- Enabled the custom start button for Windows 7 and added more settings

- Added a setting to skip the Metro screen on startup

- Improved compatibility with the IE10's Enhanced Protected Mode

- Fixed some bugs found in the previous version


===============================================================================
== Version 3.5.0 general release (Mar, 2012)
===============================================================================

- Added support for Windows 8 Consumer Preview
   * Added customizable start button
   * Added a Metro skin for the start menu
   * Updated all settings for Windows 8
   * Fixed the missing caption in IE10

- Added a setting to control the menu shadows

- Added toolbar commands to map and disconnect network drives

- Improved the responsiveness of the check for a new version

- The check for new version is a separate component that can be skipped
  during install


===============================================================================
== Version 3.4.1 general release (Jan, 2012)
===============================================================================

- Fixed a small problem in the automatic check for a new version


===============================================================================
== Version 3.4.0 general release (Jan, 2012)
===============================================================================

- Fixed some minor problems found in the previous release. Most notably the
  corrupted text in the toolbar buttons

- Added a check if a new version is available

- Ctrl+Click in the navigation pane opens the folder in a new window

- Alt+Enter in the search box of the start menu shows properties of the
  selected item

- The recent documents list can be sorted by name or extension


===============================================================================
== Version 3.3.0 general release (Jan, 2012)
===============================================================================

- Fixed some minor problems found in the previous release

- Improved compatibility with Windows 8 and removed the features that are no
  longer necessary or possible

- Added customizable "Windows Explorer" item to the start button context menu

- Added a new "paste shortcuts" command to Explorer

- Added an option to hide the user picture from the Windows start menu

- Ctrl+Shift+Enter can launch commands and documents as administrator from
  the start menu

- Added a customizable hotkey for the Up button


===============================================================================
== Version 3.2.0 general release (Aug, 2011)
===============================================================================

- Fixed some minor problems found in the previous release

- Added new setting to show the title in IE9 with no icon

- Added a new "sortby" command to Explorer to sort the folder by given property

- Added support for F2, Del and Alt+Enter keys in the start menu


===============================================================================
== Version 3.1.0 general release (Apr, 2011)
===============================================================================

- Added a new component called Classic IE9. It lets you customize the title bar
  and the status bar of Internet Explorer 9

- Added ability to use external search programs from the search box of the
  start menu

- Added support for the Lock command in the start menu


===============================================================================
== Version 3.0.0 general release (Mar, 2011)
===============================================================================

- Fixed some minor problems found in the previous version

- Added the contents of the GodMode folder to the search in the start menu


===============================================================================
== Version 2.9.3 release candidate (Feb, 2011)
===============================================================================

- Added a search box to the start menu

- Improved the responsiveness of the start menu by showing the menu first and
  loading the icons later

- Added a command in the start menu to create a new shortcut

- Added a way to include a row of icon buttons in the start menu

- Added an option to hide extensions in the start menu

- Added an option to hide the scroll tip in Explorer

- Improved support for icons larger than 32x32

- Added support for the "don't show common start menu items" group policy

- Improved the option to always navigate to the selected folder


===============================================================================
== Version 2.9.2 release candidate (Dec, 2010)
===============================================================================

- Added a toolbar command for creating a new folder

- Added a way for the custom toolbar commands to receive all selected files

- Added a white list and a black list to limit which processes can load Classic
  Explorer

- Fixed the Z-order problems when the start menu is activated by hovering

- Fixed the spontaneous expanding of the All Programs menu

- Small improvements to the settings UI


===============================================================================
== Version 2.9.0 beta (Oct, 2010)
===============================================================================

- Replaced the ini files with a graphical interface for editing all settings

- Added a setting to force sorting headers in Windows 7 (based on the
  Explorer7Fixes tool by Ian Prest)

- Added more settings

- Added special handling for specific folders in the start menu - Computer,
  Recycle Bin, Network, etc


===============================================================================
== Version 2.8.3 beta (Jul, 2010)
===============================================================================

- Added a way to put shell folders as buttons in the toolbar

- Fixed a crash when browsing the assembly cache in the start menu

- Fixed a problem that may corrupt the registry during uninstall

- Added more troubleshooting capabilities


===============================================================================
== Version 2.8.2 beta (Jul, 2010)
===============================================================================

- Added toolbar commands for different Explorer views (Details, List, etc)

- Fixed a freezing bug in the start menu

- Fixed few cosmetic bugs in the skins


===============================================================================
== Version 2.8.1 beta (Jul, 2010)
===============================================================================

- Added an option for cascading All Programs in the Windows start menu

- Added an option to open the start menu when hovering over the start button

- Added a possibility for the skins to include the user name in the start menu

- Added support for dropdown menus and chevrons in the Explorer toolbar

- Added an option to automatically open progress dialogs to show more details

- Converted the help to CHM file format

- A much better installer using WiX

- The settings no longer have semicolon in front of them. Just enter the new
  value. Leave the value blank to use the default

- Changes to StartMenu.ini no longer require the start menu to be restarted


===============================================================================
== Version 2.0.0 general release (Jul, 2010)
===============================================================================

- Fixed a bug in the "EnableContextMenu" setting

- Fixed a compatibility bug with Restorator


===============================================================================
== Version 1.9.8 release candidate (Jun, 2010)
===============================================================================

- Fixed a compatibility bug with older applications (you see the message "The
  ordinal 345 could not be located in the dynamic link library COMCTL32.dll")

- Fixed a problem with the backing up of the ini files during uninstall


===============================================================================
== Version 1.9.7 release candidate (Jun, 2010)
===============================================================================

- Ctrl+Shift+Click in the start menu runs the program as administrator

- The uninstaller offers to back up the ini files

- Some improvements to the settings

- Fixed a bug that was blocking the toolbar on Windows Vista

- Fixed an incompatibility problem with QTTabBar

- Fixed a start menu bug that was causing a flicker when Windows was running
  for too long

- Fixed a hovering bug in the start menu


===============================================================================
== Version 1.9.6 release candidate (May, 2010)
===============================================================================

- Added a setting to track and display the recently used programs

- The middle mouse button can be used to open the start menu

- Fixed an incompatibility with X-Mouse and other mouse bugs

- Fixed some problems with separators


===============================================================================
== Version 1.9.2 release candidate (Apr, 2010)
===============================================================================

- This build contains mostly minor bugfixes found in the previous version


===============================================================================
== Version 1.9.1 release candidate (Apr, 2010)
===============================================================================

- Some skins can support two-column main menu similar to Windows XP

- Some skins can support showing the user picture in the main menu

- Fixed a bug showing an extra "Empty" item in the start menu

- Fixed a bug that broke most foreign translations

- Fixed a bug with the share overlay in the Recycle Bin items

- Added a new Luna skin that is similar to the Windows XP start menu


===============================================================================
== Version 1.9.0 beta (Mar, 2010) - new skin engine
===============================================================================

- The sub-menus can be skinned like the main menu

- Full glass support, even behind the menu items

- More skinnable elements - the sub-menu arrows, the scroll buttons, the
  vertical separator

- Skins can provide customization options (small or large icons, add/remove
  caption, and many more)

- The start menu plays the system sounds for opening a menu or selecting a
  command


===============================================================================
== Version 1.0.3 general release (Mar, 2010)
===============================================================================

- Added an overlay icon for shared folders

- Added a setting for sound alerts when overwriting system or read-only files

- The status bar shows the details of the currently selected file

- The drop down of the address bar is replaced with a list of parent folders
  like in Windows XP

- Added translations for Traditional Chinese (Taiwan)


===============================================================================
== Version 1.0.2 general release (Mar, 2010)
===============================================================================

- Added a setting to disable the breadcrumbs

- Added a setting to show the path and icon in the Explorer title bar

- Fixed a bug with the resizing of the Search box in Explorer


===============================================================================
== Version 1.0.1 general release (Feb, 2010)
===============================================================================

- This is a bugfix-only release. Fixes a few rare crashes in the start menu


===============================================================================
== Version 1.0.0 general release (Feb, 2010)
===============================================================================

- Added Up button to the Explorer title bar

- More options for the start menu and for the Explorer toolbar

- The installer supports command line options for logging or unattended install

- Fix for the scroll problems in the Explorer navigation pane (Windows 7 only)


===============================================================================
== Version 0.9.10 release candidate (Jan, 2010) - make your own toolbar
===============================================================================

- The Explorer toolbar can be customized with new icons and additional buttons

- Fixed a crash bug when Windows is restarting

- Fixed a crash bug when Explorer is restarting

- Fixed a bug that was failing to replace the copy dialog for French, Hebrew,
  Croatian and Slovenian languages

- Added more options for the navigation pane in Explorer

- Active Accessibility support is enabled by default


===============================================================================
== Version 0.9.9 release candidate (Jan, 2010) - make your own start menu
===============================================================================

- The start menu can be customized with new icons and additional menu items

- The skins in the start menu can have variations

- Added ini files that contain even more customization options for the Explorer
  toolbar and the start menu than are available from the Settings dialog box

- Added "New Folder" and "Auto Arrange" commands to the start menu

- The selected menu item fades out like in a real menu

- Added "Email" button to Explorer

- First attempt to support Active Accessibility (disabled by default for now)


===============================================================================
== Version 0.9.8 beta (Jan, 2010) - skins for the start menu
===============================================================================

- Added support for skins in the classic start menu

- Fixed compatibility problems with Unicode-unaware shell extensions (Microangelo
  On Display, I'm looking at you)

- The start menu supports auto-hide taskbar and (on Vista only) a taskbar that is
  not "always on top"

- Replaced the folder conflict dialog box with a simpler version (similar to the
  file conflict dialog box)

- Fixed a crash when right-clicking on the caption area of the start menu

- The start menu remembers the scroll position of scrollable menus

- Added "-open" and "-toggle" command line parameters to ClassicStartMenu.exe to
  programmatically open the start menu


===============================================================================
== Version 0.9.7 beta (Dec, 2009)
===============================================================================

- Added free disk space and file size to the status bar in Windows 7 Explorer

- Added dragging with the right mouse button for the start menu

- Fixed a few UAC bugs

- Fixed a few drag and drop bugs


===============================================================================
== Version 0.9.6 beta (Dec, 2009)
===============================================================================

- Added Properties button to the toolbar

- Added settings for the look of the folder tree in Explorer - XP classic,
  XP simple, don't fade buttons

- Added option to expand links to folders in the start menu

- Added option to show a confirmation dialog during Log Off from the start menu

- Added option for a hotkey to replace the Win key for the start menu

- The start menu hides the commands to search for printers or computers if
  Active Directory is not available

- The start menu accepts click in all of the start button area even if it is not
  exactly on the orb

- The start menu doesn't close if you hold down Shift while launching a program.
  Allows the user to start multiple programs more easily

- The start menu follows the group policies for showing Run, Shutdown, Help, etc

- Fixed a bug with sorting Favorites and other top-level folders


===============================================================================
== Version 0.9.5 beta (Dec, 2009)
===============================================================================

- Added option to remove the Documents menu and option to use an alternative
  search application

- Added more buttons to the toolbar - Cut, Copy, Paste, Delete

- Added option for "big buttons" in the toolbar

- The selected menu item is drawn using the current theme

- Fixed a crash in the start menu

- Fixed a problem when dropping items in an empty sub-menu


===============================================================================
== Version 0.9 beta (Nov, 2009) - first public version
===============================================================================

- Classic start menu

- Replacement for the Copy UI in Vista

- Fix for Alt+Enter in Explorer

- Toolbar for Explorer with Up button
